Share via


Policy Sets - Evaluate Policies

Evaluates lab policy.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/policysets/{name}/evaluatePolicies?api-version=2018-09-15

URI Parameters

Name In Required Type Description
labName
path True

string

The name of the lab.

name
path True

string

The name of the PolicySet

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
policies

EvaluatePoliciesProperties[]

Policies to evaluate.

Responses

Name Type Description
200 OK

EvaluatePoliciesResponse

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

PolicySets_EvaluatePolicies

Sample request

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/policysets/{policySetName}/evaluatePolicies?api-version=2018-09-15

{
  "policies": [
    {
      "factName": "LabVmCount",
      "valueOffset": "1"
    }
  ]
}

Sample response

{
  "results": [
    {
      "hasError": true,
      "policyViolations": [
        {
          "code": "MaxValuePolicy",
          "message": "You cannot exceed the limit (1) of virtual machines that can be created in this lab."
        }
      ]
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

EvaluatePoliciesProperties

Properties for evaluating a policy set.

EvaluatePoliciesRequest

Request body for evaluating a policy set.

EvaluatePoliciesResponse

Response body for evaluating a policy set.

PolicySetResult

Result of a policy set evaluation.

PolicyViolation

Policy violation.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

EvaluatePoliciesProperties

Properties for evaluating a policy set.

Name Type Description
factData

string

The fact data.

factName

string

The fact name.

userObjectId

string

The user for which policies will be evaluated

valueOffset

string

The value offset.

EvaluatePoliciesRequest

Request body for evaluating a policy set.

Name Type Description
policies

EvaluatePoliciesProperties[]

Policies to evaluate.

EvaluatePoliciesResponse

Response body for evaluating a policy set.

Name Type Description
results

PolicySetResult[]

Results of evaluating a policy set.

PolicySetResult

Result of a policy set evaluation.

Name Type Description
hasError

boolean

A value indicating whether this policy set evaluation has discovered violations.

policyViolations

PolicyViolation[]

The list of policy violations.

PolicyViolation

Policy violation.

Name Type Description
code

string

The code of the policy violation.

message

string

The message of the policy violation.